Bug Hunting Session
Bug 91065 - Title of Document Properties dialog cannot be localized adequately
Summary: Title of Document Properties dialog cannot be localized adequately
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: low minor
Assignee: Arul Michael
URL:
Whiteboard: target:5.2.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2015-05-04 06:41 UTC by Adolfo Jayme
Modified: 2016-10-25 19:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2015-05-04 06:41:17 UTC
The title of this dialog is "Properties of " [1], to which the file name is concatenated by the software. This is incorrect, since it assumes that the syntax of all languages is the same. The string should contain a variable, like this: "Properties of %1", in order to allow localizers to make it read naturally in their languages.

[1]: http://cgit.freedesktop.org/libreoffice/core/tree/sfx2/uiconfig/ui/documentpropertiesdialog.ui#n8
Comment 1 Adolfo Jayme 2015-06-06 18:31:01 UTC
@Julien: one for you? =)
Comment 2 Julien Nabet 2015-06-07 13:40:29 UTC
Once the string is changed in http://opengrok.libreoffice.org/xref/core/sfx2/uiconfig/ui/documentpropertiesdialog.ui#8, I wouldn't know then how to manage "%1".
Sorry not for me :-( but certainly someone else will know :-)
Comment 3 Katarina Behrens (CIB) 2015-11-12 10:24:48 UTC
This is an easy hack. As Julien already points out, .ui file for this dialog lives in sfx2/uiconfig/ui/documentpropertiesdialog.ui ... Replace dialog title with "Properties of %1", easy peasy

C++ code reading it is in sfx2/source/dialog/dinfdlg.cxx, setting the dialog title takes place directly in constructor. So instead of concatenating the strings, one has to replace %1 (using OUString::replaceFirst or whatever appropriate) from the dialog title with the actual file name.
Comment 4 Robinson Tryon (qubit) 2015-12-14 06:57:33 UTC Comment hidden (obsolete)
Comment 5 Commit Notification 2016-01-05 13:46:19 UTC
Arul committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=804e2403cd077a069372ead548fa6a5c593db1f6

tdf#91065 Support localization of Properties dialog title

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Adolfo Jayme 2016-01-06 00:30:22 UTC
Thanks, Arul!
Comment 7 Robinson Tryon (qubit) 2016-02-18 16:37:19 UTC Comment hidden (obsolete)